GET /v1/travelexpensetypes

visma.com

Summary: Get all the travel expense types.
Operation ID: TravelExpenseTypes_GetTravelExpenseTypes
Auth: unknown

Parameters (7)

active (boolean, query, optional)

If not given, return all travel expense types, if given as true return only active travel expense types, if given as false returns only inactive travel expense types.

calculateRowCount (boolean, query, optional, default: False)

Optional: Calculate total number of rows.

code (string, query, optional)

Optional: Code of the travel expense type.

firstRow (integer, query, optional, default: 0)

Optional: first row to fetch. Default 0 = first row.

rowCount (integer, query, optional)

Optional: How many rows to fetch, Default all.

sortings (array, query, optional)

Optional: A list of Key-Value pairs, containing names of fields and directions by which the results should be sorted. Any sortable field name (submodel fields not supported) in the model can be used, while value can be "Desc" or "Asc". Example: "?sortings[0].key=IsActive&sortings[0].value=Asc&sortings[1].key=Name&sortings[1].value=Desc.

textToSearch (string, query, optional)

Searched string: part of name or code.

No probe data for this endpoint yet.